Loading...
Searching...
No Matches
opencc::StrMultiValueDictEntry Class Reference
Inheritance diagram for opencc::StrMultiValueDictEntry:

## Public Member Functions

| StrMultiValueDictEntry (const std::string &_key, const std::vector< std::string > &_values)
std::string | Key () const override
std::string_view | KeyView () const override
std::string | GetDefault () const override
std::string_view | GetDefaultView () const override
size_t | NumValues () const override
std::vector< std::string > | Values () const override
Public Member Functions inherited from opencc::MultiValueDictEntry
virtual std::string | ToString () const
Public Member Functions inherited from opencc::DictEntry
size_t | KeyLength () const
bool | operator< (const DictEntry &that) const
bool | operator== (const DictEntry &that) const

## Additional Inherited Members

Static Public Member Functions inherited from opencc::DictEntry
static bool | UPtrLessThan (const std::unique_ptr< DictEntry > &a, const std::unique_ptr< DictEntry > &b)

## Member Function Documentation

## GetDefault()

std::string opencc::StrMultiValueDictEntry::GetDefault | ( |  | ) | const

inline override virtual

Reimplemented from opencc::DictEntry.

## GetDefaultView()

std::string_view opencc::StrMultiValueDictEntry::GetDefaultView | ( |  | ) | const

inline override virtual

Implements opencc::DictEntry.

## Key()

std::string opencc::StrMultiValueDictEntry::Key | ( |  | ) | const

inline override virtual

Reimplemented from opencc::DictEntry.

## KeyView()

std::string_view opencc::StrMultiValueDictEntry::KeyView | ( |  | ) | const

inline override virtual

Implements opencc::DictEntry.

## NumValues()

size_t opencc::StrMultiValueDictEntry::NumValues | ( |  | ) | const

inline override virtual

Implements opencc::DictEntry.

## Values()

std::vector< std::string > opencc::StrMultiValueDictEntry::Values | ( |  | ) | const

inline override virtual

Implements opencc::DictEntry.

The documentation for this class was generated from the following file:

- DictEntry.hpp